See what you may use in the registry
curl --request GET \
--url https://api.example.com/api/registry/access/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/registry/access/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/registry/access/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/access/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/access/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/registry/access/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/access/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"is_admin": true,
"limited": true,
"limited_by": [
{
"kind": "user",
"name": "<string>"
}
],
"items": [
{
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "agent",
"name": "<string>",
"display_name": "<string>",
"level": "view",
"via": [
{
"kind": "user",
"name": "<string>"
}
]
}
],
"identities": [
{
"slug": "<string>",
"limited": true,
"description": "",
"items": 0
}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Registry
See what you may use in the registry
Whether you are limited (and by what), the items given to you or your roles, and the service identities you may run schedules as.
GET
/
api
/
registry
/
access
/
me
See what you may use in the registry
curl --request GET \
--url https://api.example.com/api/registry/access/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/registry/access/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/registry/access/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/access/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/access/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/registry/access/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/access/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"is_admin": true,
"limited": true,
"limited_by": [
{
"kind": "user",
"name": "<string>"
}
],
"items": [
{
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "agent",
"name": "<string>",
"display_name": "<string>",
"level": "view",
"via": [
{
"kind": "user",
"name": "<string>"
}
]
}
],
"identities": [
{
"slug": "<string>",
"limited": true,
"description": "",
"items": 0
}
]
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
What the caller may see and use in the registry.
Registry admins are never limited.
False: everything Global is open to you. True: only the items listed.
You by name, or your roles that are limited.
Show child attributes
Show child attributes
Items given to you or your roles (what you have, when limited).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

